#ifndef HELPERS_H_
#define HELPERS_H_
#include <stdio.h>

#define VAL_TAG "Value: "

#if 1
#define DPRINTF(x,y) 
#else
#define DPRINTF(x,y) dprintf(x,y)
#endif 


int stringFromInt(char * output, void * thing);
float calculateBytesPerSecond(void);
float calculatePacketsPerSecond(void);
void formatUnits(char * string, float number, int decimals);
unsigned convertStringToHex(char * output, char *input, int numberBits);
int convertHexToString(char * output, char *input, int numberBits);
void nullCRLF(char *input);
int delimitWhiteSpace(char **input);
int validateHexString(char * input);
void stripLeadingHex(char ** input);
int getInputLine(char * line, int length, FILE * istream, FILE * ostream);


#endif /*HELPERS_H_*/
