#ifndef TSE_CONTROL_H_
#define TSE_CONTROL_H_

void sfp_reg_write (int address, int data);
int sfp_reg_read (int address);
//void sfp_config (int register4, int register9, unsigned int loopback_mode, unsigned int ext_loopback_mode, unsigned int speed);
//int tseSfpConfigureLink(unsigned int speed, unsigned int duplex, unsigned int loopback_mode, unsigned int ext_loopback_mode, unsigned int port_1_loopback_mode);
void sfp_config (unsigned int tech_ena, unsigned int loopback_mode , unsigned int ext_loopback_mode, unsigned int port_1_loopback_mode, unsigned int speed, unsigned int duplex);
void tseMacConfigure(unsigned int mac_base_address, unsigned int pcs_base_address, unsigned int mac_high, unsigned int mac_low, unsigned int promis_mode, unsigned int speed, unsigned int duplex, unsigned int tech_ena, unsigned int loopback_mode, unsigned int ext_loopback_mode);
int tseGenMonConfigure(struct gTestStruct * test);
double getBytes(void);
float getPacketsReceived(void);
unsigned int getPacketsSent(void);
unsigned int getValidPacketsReceived(void);
unsigned int getErrorPacketsReceived(void);
double getSeconds(void);
int tseMacReset(unsigned int base_address);
int tseMacLink(unsigned int base_address);
int tseMacAN(unsigned int base_address);
int ExtPhyReset(void);
int ExtPhyLink(void);
int ExtPhyAN(void);

void StatusCheck(unsigned int tse_0_base_addr, unsigned int tse_1_base_addr, unsigned int tech_ena, unsigned int loopback_mode, unsigned int ext_loopback_mode);

void PcsLoopbackConfig (unsigned int base_address, unsigned int loopback_mode, unsigned int ext_loopback_mode, unsigned int port_1_loopback_mode);
void AvalonLoopbackConfig (unsigned int base_address, unsigned int loopback_mode, unsigned int ext_loopback_mode, unsigned int port_1_loopback_mode);

void restart_auto_negotiation(unsigned int base_address, unsigned int tech_ena);

#endif /*TSE_CONTROL_H_*/
