onerror {resume}
quietly WaveActivateNextPane {} 0

add wave -noupdate -divider {Eth Gen Avalon ST Interface}
add wave -position insertpoint  \
sim:/tb/eth_gen_dut/tx_rdy \
sim:/tb/eth_gen_dut/tx_wren \
sim:/tb/eth_gen_dut/tx_sop \
sim:/tb/eth_gen_dut/tx_data \
sim:/tb/eth_gen_dut/tx_eop \
sim:/tb/eth_gen_dut/tx_mod \
sim:/tb/eth_gen_dut/tx_err

add wave -noupdate -divider {CRC Gen}
add wave -position insertpoint  \
sim:/tb/eth_gen_dut/crcgen_inst/clk \
sim:/tb/eth_gen_dut/crcgen_inst/reset_n \
sim:/tb/eth_gen_dut/crcgen_inst/datavalid \
sim:/tb/eth_gen_dut/crcgen_inst/startofpacket \
sim:/tb/eth_gen_dut/crcgen_inst/data \
sim:/tb/eth_gen_dut/crcgen_inst/endofpacket \
sim:/tb/eth_gen_dut/crcgen_inst/empty \
sim:/tb/eth_gen_dut/crcgen_inst/crcvalid \
sim:/tb/eth_gen_dut/crcgen_inst/checksum

add wave -noupdate -divider {CRC Checker Comparator}
add wave -position insertpoint  \
sim:/tb/eth_mon_dut/crcchk_inst/crc32_chk_inst/crc_comparator_u0/PKT_CRC_VALID_IN \
sim:/tb/eth_mon_dut/crcchk_inst/crc32_chk_inst/crc_comparator_u0/PKT_CRC_CHECKSUM_IN \
sim:/tb/eth_mon_dut/crcchk_inst/crc32_chk_inst/crc_comparator_u0/CRC_GEN_VALID_IN \
sim:/tb/eth_mon_dut/crcchk_inst/crc32_chk_inst/crc_comparator_u0/CRC_GEN_CHECKSUM_IN \
sim:/tb/eth_mon_dut/crcchk_inst/crc32_chk_inst/crc_comparator_u0/CRC_CHK_VALID_OUT \
sim:/tb/eth_mon_dut/crcchk_inst/crc32_chk_inst/crc_comparator_u0/CRC_CHK_BAD_STATUS_OUT

TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {4161211870 ps} 0}
configure wave -namecolwidth 481
configure wave -valuecolwidth 40
configure wave -justifyvalue left
configure wave -signalnamewidth 0
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {348109 ps} {610769 ps}
